module top(
    clk,
    rstn,
    data_a,
    data_b,
    aeb_o,
    aneb_o,
    ageb_o,
    agb_o,
    alb_o,
    aleb_o,
    unorder_o
);
//**********************************************************************
// --- Input/Output Declaration
//**********************************************************************
	localparam NUM_DATA = 32;
	input clk;
	input rstn;
	reg [31:0] mem_data_1 [0:NUM_DATA-1];
    reg [31:0] mem_data_2 [0:NUM_DATA-1];
	output reg   [31:0] data_a;
	output reg   [31:0] data_b;
    output wire aeb_o,aneb_o,ageb_o,agb_o,alb_o,aleb_o,unorder_o;
    reg start;
	reg [$clog2(NUM_DATA+1):0] i_data;
	
//**********************************************************************
// --- Main core
//**********************************************************************	
	FP_Comp_Top your_instance_name(
		.clk(clk), //input clk
		.data_a(data_a), //input [31:0] data_a
		.data_b(data_b), //input [31:0] data_b
		.aeb(aeb_o), //output aeb
		.aneb(aneb_o), //output aneb
		.ageb(ageb_o), //output ageb
		.agb(agb_o), //output agb
		.alb(alb_o), //output alb
		.aleb(aleb_o), //output aleb
		.unorder(unorder_o), //output unorder
		.rstn(rstn) //input rstn
	);
	
	always @(posedge clk or negedge rstn) begin
		if(!rstn) begin
			i_data <= 0;
		end
		else if(start) begin
			i_data <= i_data + 1'b1;
		end
	end
	
	always @(posedge clk or negedge rstn) begin
		if(!rstn) begin
			data_a <= 0;
			data_b <= 0;
		end
		else if(start) begin
			data_a <= mem_data_1[i_data];
			data_b <= mem_data_2[i_data];
		end
	end
	
    always @(posedge clk) begin

        if(!rstn) begin
            start <= 0;
            
        end else begin
            start <= 1;
        end
    end


	initial begin
		$readmemh("../proj/src/data/y.dat",mem_data_1);
		$readmemh("../proj/src/data/x.dat",mem_data_2);
	end

endmodule
