`timescale 1ns / 1ps

module tb();
//**********************************************************************
// --- Test Input/Output signal
//**********************************************************************	
reg	clk;
reg rstn;

wire        [31:0]  		  result;

localparam CLK_PERIOD = 50.0;
//**********************************************************************
// --- Reset 
//**********************************************************************
initial begin
	rstn = 1'b1;
	#(1.5*CLK_PERIOD) rstn = 1'b0;
	#(CLK_PERIOD) rstn = 1'b1;
end
//**********************************************************************	
// --- Clock Generate
//**********************************************************************
initial begin
	clk = 1'b1;
	#(1.5*CLK_PERIOD) 
	forever #(CLK_PERIOD/2.0) clk = ~clk;
end
//**********************************************************************	
// --- Initial Block
//**********************************************************************
top top_tb(
	.clk(clk), //input clk
	.data_a(), //input [31:0] data_a
	.data_b(), //input [31:0] data_b
	.aeb_o(), //output aeb
	.aneb_o(), //output aneb
	.ageb_o(), //output ageb
	.agb_o(), //output agb
	.alb_o(), //output alb
	.aleb_o(), //output aleb
	.unorder_o(), //output unorder
	.rstn(rstn) //input rstn
);

endmodule